config/routes.rb
Rails.application.routes.draw do
 get 'monstruos/index'

  get 'monstruos/show'

  resources :tweets
  resources :monstruos do
    collection do
      get 'ver'
    end
  end
  
  root 'tweets#default'
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/models/monstruo.rb
class Monstruo < ActiveRecord::Base
  has_many :tweets
end

app/models/tweet.rb
class Tweet < ActiveRecord::Base
  belongs_to :monstruo
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
end

app/controllers/monstruos_controller.rb
class MonstruosController < ApplicationController
  
  def index
  end

  def show
  end
  
  def ver    
  end
  
  def destroy
    monstruo = Monstruo.find(params[:id])
    monstruo.destroy
    redirect_to monstruos_path
  end
  
end

app/controllers/tweets_controller.rb
class TweetsController < ApplicationController
  
  def default
  end
  
  def index
  end

  def show
  end

end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/views/layouts/_header.html.erb
<header>
    <div class="navbar navbar-inverse navbar-fixed-top" role="navigation">
      <div class="container">
        <div class="navbar-header">
                 
          <%= link_to root_path, class: 'navbar-brand' do %>
            <%= image_tag "logo.png", title: "Logo", class: "logo" %>
          <% end %>
        </div>
        <div class="collapse navbar-collapse">
          
        </div><!--/.nav-collapse -->
      </div>

    </div>
  </header>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Critter</title>
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_pack_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
    <%= render 'layouts/header' %>
    <div class="container"> 
      <%= yield %>
    <end>
  </body>
</html>

app/views/monstruos/index.html.erb
<!------------------------------------------------------ 
Acá va a ir el listado de monstruos usando los tags <ul> y <li>.
Debe tener un título y mostrar el nombre (en negrita) y la descripción.
------------------------------------------------------>

<%= stylesheet_link_tag "monstruos" %>

<div id="contenedor">

    <!-- Título de la página -->
    <h1 id="titulo">Lista de monstruos</h1>

    <!-- Elemento: lista -->
    <ul id="lista">
        <!-- Iterar para cada monstruo (ordenado por nombre)-->
        <% Monstruo.all.order(nombre: :asc).each do |monstruo| %>

        <!-- Contar cantidad de tweets -->
        <% cant = monstruo.tweets.count %>

        <li>
            <!-- Mostrar el nombre en negrita, con link -->
            <b><%= link_to(monstruo.nombre, "/monstruos/show?id="+monstruo.id.to_s) %></b>

            <!-- Mostrar que es destacado sólo si tiene más de 1 tweet -->
            <% if cant > 1 %>
                <span class="destacado"><b>Twittero Destacado!</b></span>
            <% end %>

            <div>
                <%=monstruo.descripcion%>
                
                <%= button_to 'Eliminar monstruo', monstruo, 
                :confirm => 'Estas seguro?', :method => :delete, :class => "btn btn-danger btn-sm" %>

                <br/>
            </div>

        </li>
    
        <!-- Indicar fin de bloque de iteración-->
        <% end %>
    </ul>
</div>

app/views/monstruos/show.html.erb
<!-- Obtener el monstruo del id pasado -->
<% monstruo = Monstruo.find(params[:id].to_i) %>

<div id="contenedor">
    <!-- Título de página -->
    <h2 id="titulo">Información de perfil</h2>
    <br>

    <div>
        <!-- Imagen a la izquierda -->
        <%= image_tag "default.png", 
            title: "Foto de perfil", 
            style: 'vertical-align: middle', 
            height: '80', width: '80' %>
    
        <!-- Información a la derecha -->
        <span id="info_perfil", style="vertical-align: middle; display: inline-block;">
            <b> <%=monstruo.nombre%> </b>
            <br/> <%=monstruo.descripcion%>
            <br/> <%=monstruo.tweets.count%> tweets </br7>
        </span>
  
    </div>
</div>

app/views/monstruos/ver.html.erb
<!------------------------------------------------------ 
Debe mostrarse la información del primer monstruo sin
usar el id.
Se debe mostrar el nombre (como título) y la descripción 
(como párrafo).
------------------------------------------------------>

<!-- Buscamos el primer monstruo -->
<% monstruo = Monstruo.first() %>

<div id="contenedor">

    <!-- Mostramos el nombre como título -->
    <h1 id="nombre"> <%= monstruo.nombre %> </h1>

    <!-- Mostramos la descripción como párrafo -->
    <p id="descripcion"> <%= monstruo.descripcion %> </p>
    
</div>



<!-- HACER <br>
/app/views/monstruos/ver.html.erb -->

app/views/tweets/default.html.erb
<!--
  Source: https://getbootstrap.com/docs/3.4/css/#grid
-->

<div class="row">
  <div class="col-md-12">
    <h1>Bienvenido a Critter</h1>
    <p>Página de inicio</p>
  </div>
</div>

<div class="row">
  <div class="col-md-6">
    <h2>Acerca de</h2>
    <p>
      Somos una red social exclusiva para todas aquellas entidades que disfrutan 
      pasar su tiempo acechando humanos 😱
    </p>
  </div>
  <div class="col-md-6">
    <h2>Links</h2>
    <ul>
      <li> <%= link_to "Listado de Monstruos", monstruos_path %></li>
      <li> <%= link_to "Ver el primer monstruo", ver_monstruos_path %></li>
    </ul>
  </div>
</div>

<div class="row">
  <div class="col-md-12">
    <h2>Contacto</h2>
    <ul>
      <li> Correo: soporte@critter.com</li>
      <li> Facebook </li>
      <li> Twitter </li>
    </ul>
  </div>
</div>

app/views/tweets/index.html.erb
<!-- Listado de tweets -->

app/views/tweets/show.html.erb
<!-- Ver un tweet -->